<div id="regions">
    <?php //if( $_GET['test'] == 1 ): ?>
        <?php if ( count( $this->map_agencies ) ): ?>
            <select id="citiesMap" onchange="collapseAgCities( this )">
                <option value><?=__('choose_city')?></option>
                <?php foreach ( $this->map_agencies as $item ): ?>
                    <?php if( !$item->city_id ) continue; ?>
                    <option data-href="<?= $this->getLink( 'agencies-cities' , array( 'city_id' => $item->city_id ) ) ?>" <?= ( $item->city_id == $this->city_id ) ? "selected='selected'" : '' ?>>
                        <?= mb_convert_encoding($item->city, "UTF-8"); ?> (<?= $item->agencies_count ?>)
                    </option>
                <? endforeach ?>
            </select>
        <? endif ?>
    <?php //endif; ?>

    <span class="ag-ct-collapser" onclick="collapseAgCities()"><?=__('show_all')?></span>
    <div class="clear"></div>
</div>

<script>
    function collapseAgCities( el ){
        $('page_wrapper').addClass('inactive');
        if( el.getSelected().get("value")[0] ) {
            window.location.href = el.getSelected().get('data-href')[0];
        } else {
            window.location.href = '<?=$this->getLink("agencies")?>';
        }
    }
</script>

<style>
    .inactive { opacity: 0.55; pointer-events: none; }
    #regions { margin: 15px 0 10px; position: relative; height: 35px; width: 100%; overflow: hidden; }
    #regions:after { content: ''; display: block; width: 33px; height: 33px; position: absolute; top: 1px; right: 1px;
        background: #fff url(/img/mobile/select-arrow.png) center center no-repeat; pointer-events: none; }
    #citiesMap { width: 100%; height: 35px; padding: 7px 10px; border-color: #d7d7d7; color: #363636; }
</style>